<?php
/////////////////////////////////////
date_default_timezone_set('America/Mexico_City');    // Choose local time
$FechaHora = date('d/m/Y g:i:s', time());
//echo "Post:<pre>";var_dump($_POST);echo "</pre>";
//echo "Get:<pre>";var_dump($_GET);echo "</pre>";
//echo '.......................................................<br>Ult Refresh:'.$FechaHora.' / Current PHP version: ' . phpversion();echo "<br>";echo "<br>";


require __DIR__ . '/ConvertionToolsAPI/autoload.php';//librerias
use \ConvertApi\ConvertApi;

//Combina

//los primeros dos son los obligatorios, puedes cambiar $Done y $PDFs
//        $ToMerge= './multimedia/jpg2pdf';//donde estan los archivos a combinar
//        $Done = './multimedia/pdf2merge';//donde se guardan los ya combinados en relacion $ToMerge 
//        $Merged ='./multimedia/pdf-takeoff.pdf';//donde se guarda y con que nombre
//        $Done2 = './multimedia/trash';//donde se guardan los ya combinados en relacion $ToMerge-- no se usa     
//$PDFs  = array_diff(scandir($ToMerge), array('..', '.','Done','Merged'));//lista los PDFs excepto las carpetas, EN ORDEN ALFABETICO!
//$i=0; foreach( $PDFs as $key=>$feach){  
//    $PDFs[$key]=$ToMerge.'/'.$feach;
//$i++;}

$PDFs=array();
//$PDFs[]=str_replace(".pdf", "Canvas.jpg", $pdf_file_path );
for ($i = 0; $i < 100; $i++) {  
    $file=str_replace(".pdf", "-".$i."Canvas.jpg", $pdf_file_path );
    if( file_exists($file) ){
        $PDFs[]=$file;
    }
}
//echo ".JPG2PDF..<pre>";var_dump($PDFs);echo "</pre>...";

if( !empty($PDFs) ){
    //echo "<pre>";var_dump($PDFs);echo "</pre>";
    ConvertApi::setApiSecret($APIkey);
    $i=0; foreach( $PDFs as $key=>$feach){  
        $result = ConvertApi::convert('pdf', ['File' => $feach] , 'jpg');
        if($result->saveFiles($Done)){
            //echo 'Exito jpg2pdf '.$feach.'<br>';
            //$i=0; foreach( $PDFs as $key=>$feach){  
//si no elimina todas las que hayan existido las guarda y las juntara despues...            
                //unlink($feach);//elimina simplemente
                //$new=str_replace($ToMerge, $Done, $feach);
                //rename($feach, $new);//esto mueve los archivos a la carpeta done. Si no hay archivos o hace nada...
                //echo $feach.' to '.$new.'<br>';
            //$i++;}
        }else{echo "Error al convertir";}    
    $i++;}
}else{
    echo 'No hay archivos a convertir en ';
}

//ahora merge lo que ya esta en done que convertiste
//$PDFs  = array_diff(scandir($Done), array('..', '.','Done','Merged'));//lista los PDFs excepto las carpetas, EN ORDEN ALFABETICO!
//$i=0; foreach( $PDFs as $key=>$feach){  
//    $PDFs[$key]=$Done.'/'.$feach;
//$i++;}
//$PDFs=array_reverse($PDFs);//por alguna razón se voltea...

$PDFs=array();
//$PDFs[]=str_replace(".pdf", "Canvas.pdf", $pdf_file_path );
for ($i = 0; $i < 100; $i++) {  
    $file=str_replace(".pdf", "-".$i."Canvas.pdf", $pdf_file_path );
    if( file_exists($file) ){
        $PDFs[]=$file;
    }
}
//echo ".MERGE..<pre>";var_dump($PDFs);echo "</pre>...";

if( !empty($PDFs) ){
    //echo "<pre>";var_dump($PDFs);echo "</pre>";
    ConvertApi::setApiSecret($APIkey);
    $result = ConvertApi::convert('merge', ['Files' => $PDFs ], 'pdf');
    if($result->saveFiles($Merged)){
        //echo '<a href="'.$Merged.'" target="_blank">Exito, click para ver archivo</a> <br>';
        $i=0; foreach( $PDFs as $key=>$feach){  
            //unlink($feach);//elimina simplemente
            //$new=str_replace($Done, $Done2, $feach);
            //rename($feach, $new);//esto mueve los archivos a la carpeta done. Si no hay archivos o hace nada...
            //echo $feach.' to '.$new.'<br>';
        $i++;}
    }else{echo "Error al convertir";}
}else{
    echo 'No hay archivos a combinar en '.$Done;
}
